Title: Software

I am a contributor to several open source projects, listed below. I have developed a number of preprocessing scripts and user subroutines for the Abaqus finite element solver, which are also below.

## Microvessel Chaste

A C++/Python library for spatial modelling of vascularized tissues:

<a href="https://jmsgrogan.github.io/MicrovesselChaste/">
<img border="0" alt="MicrovesselChaste" src="/static/MicrovesselChaste.png" width="600">
</a>

## PyChaste

A Python wrapper for Chaste, a library for discrete modelling of soft tissues.

<a href="https://jmsgrogan.github.io/PyChaste/">
<img border="0" alt="PyChaste" src="/static/PyChaste.png" width="600">
</a>

## Chaste (contributor)

A C++ library for computational physiology, including continuum and discrete soft tissue models.

<a href="http://www.cs.ox.ac.uk/chaste/index.html">
<img border="0" alt="PyChaste" src="/static/chaste.jpg" width="200">
</a>

## cppwg

An automatic Python wrapper generator for C++ for PyBind or Boost Python, built on CAST-XML. [Link](https://github.com/jmsgrogan/cppwg).

##  Stack3D

A collection of scripts for segmentation of vessel networks from 3D image stacks. [Link](https://github.com/jmsgrogan/Stack3D).

## Lamp Generator

Scripts for algorithmically generating and rendering 3D models of lamps with Blender. [Link](https://github.com/jmsgrogan/gen-backend).
